Get all promotions - Fabric

Get all promotions

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/promo/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "offset": 0,
  "limit": 10,
  "keyword": "PROMO",
  "sortBy": "updatedAt",
  "sortOrder": "desc"
}
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/promo/list"

payload = {
    "offset": 0,
    "limit": 10,
    "keyword": "PROMO",
    "sortBy": "updatedAt",
    "sortOrder": "desc"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({offset: 0, limit: 10, keyword: 'PROMO', sortBy: 'updatedAt', sortOrder: 'desc'})
};

fetch('https://live.copilot.fabric.inc/api-offers/promo/list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200 OK

{
  "query": {
    "limit": 10,
    "offset": 0,
    "count": 50
  },
  "promos": [
    {
      "_id": "abcdefg1ee7ce20123456789",
      "promoId": 100013,
      "promoCodes": [
        "SUMMER100",
        "SUMMER20"
      ],
      "promoCount": 0,
      "state": "SCHEDULED",
      "isImplicit": true,
      "title": "CREATE PROMO",
      "startDate": "2019-08-24T14:15:22Z",
      "endDate": "2019-08-25T14:15:22Z",
      "isExclusive": true,
      "eligiblePriceList": [
        10000056
      ],
      "level": 1,
      "stackingType": "STACKABLE",
      "updatedAt": "2019-08-20T14:15:22Z"
    }
  ]
}

Error Responses:

{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}